petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsMonitorSet

Sets an ADDITIONAL function to be called at every method that modified the PETSc options database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsMonitorSet(PetscErrorCode (*monitor)(const char name[], const char value[], void*),void *mctx,PetscErrorCode (*monitordestroy)(void**))

Not collective Many br

### Input Parameters

| monitor | - pointer to function (if this is NULL, it turns off monitoring Many br
| mctx | - [optional] context for private data for the Many brmonitor routine (use NULL if no context is desired) Many br
| monitordestroy | - [optional] routine that frees monitor context Many br(may be NULL) Many br

### Calling Sequence of monitor

        monitor (const char name[], const char value[], void *mctx)

| name | - option name string Many br
| value | - option value string Many br
| mctx | - optional monitoring context, as set by PetscOptionsMonitorSet() Many br

### Options Database Keys

| -options_monitor | - sets PetscOptionsMonitorDefault() Many br
| -options_monitor_cancel | - cancels all monitors that have Many brbeen hardwired into a code by Many brcalls to PetscOptionsMonitorSet(), but Many brdoes not cancel those set via Many brthe options database. Many br

### Notes

The default is to do nothing. To print the name and value of options Many brbeing inserted into the database, use PetscOptionsMonitorDefault() as the monitoring routine, Many brwith a null monitoring context. Many br

Several different monitoring routines may be set by calling Many brPetscOptionsMonitorSet() multiple times; all will be called in the Many brorder in which they were set. Many br

Many br

### Keywords

PetscOptions, set, monitor

### See Also

PetscOptionsMonitorDefault(), PetscOptionsMonitorCancel()

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages